AHASH_REQUEST_SET_CR(9)

NAME
ahash_request_set_crypt - set data buffers

SYNOPSIS

void ahash_request_set_crypt(struct ahash_request * req, struct scatterlist * src, u8 * result, unsigned int nbytes);

ARGUMENTS

req
    ahash_request handle to be updated

src
    source scatter/gather list

result
    buffer that is filled with the message digest -- the caller must ensure that the buffer has sufficient space by, for example, calling crypto_ahash_digestsize

nbytes
    number of bytes to process from the source scatter/gather list

DESCRIPTION

By using this call, the caller references the source scatter/gather list. The source scatter/gather list points to the data the message digest is to be calculated for.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT